Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/39986/?format=api
{ "ob_id": 39986, "uuid": "5352ffa477fa489094a7c0a4b32ff677", "title": "Copernicus Climate Change Service Dataset: L4 Sea Surface Temperature Analysis Integrated Climate Data Record (ICDR), version 2.0", "abstract": "This Sea Surface Temperature Level 4 Analysis Intermediate Climate Data Record (ICDR) provides a globally-complete daily analysis of sea surface temperature (SST) on a 0.05 degree regular latitude - longitude grid. It combines data from both the Advanced Very High Resolution Radiometer (AVHRR ) and Sea and Land Surface Temperature Radiometer (SLSTR) Intermediate Climate Data Records, using a data assimilation method to provide SSTs where there were no measurements. \r\n\r\nThis dataset was produced for the Copernicus Climate Change Service (C3S). V2.0 extends from 2017-2021.\r\n\r\nA historic Climate Data Record (CDR) has also been produced under the ESA Climate Change Initiative Sea Surface Temperature (CCI_sst). This is available as a separate dataset in the CEDA catalogue and through the ESA CCI Open Data Portal.", "keywords": "", "publicationState": "preview", "dataPublishedTime": null, "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "superseded", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/39987/?format=api", "dataPath": "/neodc/c3s_sst/data/ICDR_v2/Analysis/L4/v2.0/", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 30715456343, "numberOfFiles": 1828, "fileFormat": "Data are in NetCDF format" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/11067/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/1/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/50559/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/50561/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/66257/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/66259/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/66260/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/68037/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/83836/?format=api" ], "dataLineage": "Data were processed as part of the Copernicus Climate Change project", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/39992/?format=api" ], "observationcollection_set": [], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/194884/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/194883/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/194882/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/194881/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/194880/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/194879/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/194878/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": null, "procedureComputation": "https://api.catalogue.ceda.ac.uk/api/v2/computations/39988/?format=api", "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2556/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "https://artefacts.ceda.ac.uk/licences/specific_licences/esacci_sst_terms_and_conditions.pdf", "licenceClassifications": "any" } ], "discoveryKeywords": [] }